<app-loading *ngIf="isLoadingPage"></app-loading>
<div class='ptx__tax'>
  <form nz-form [formGroup]="form">
    <div nz-row [nzGutter]="[30,30]">
      <!--Mã-->
      <div nz-col nzXs="12" nzLg="12">
        <mb-input-text
          formControlName="code"
          [mbMaxLength]="20"
          [mbType]="isSubmitted && form.controls['code'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['code'].errors !== null"
          [mbErrors]="form.controls['code'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'partnership.pns-contract.validate.required' | translate: {'param': 'partnership.pns-contract.contractTypes.code' | translate }}]"
          mbPlaceholderText="{{'partnership.pns-contract.contractTypes.code' | translate}}"
          mbLabelText="{{'partnership.pns-contract.contractTypes.code' | translate}} <span class='label__required'>*</span>"></mb-input-text>
      </div>

      <!--Tên-->
      <div nz-col nzXs="12" nzLg="12">
        <mb-input-text
          formControlName="name"
          [mbMaxLength]="200"
          [mbType]="isSubmitted && form.controls['name'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['name'].errors !== null"
          [mbErrors]="form.controls['name'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'partnership.pns-contract.validate.required' | translate: {'param': 'partnership.pns-contract.contractTypes.name' | translate }}]"
          mbPlaceholderText="{{'partnership.pns-contract.contractTypes.name' | translate}}"
          mbLabelText="{{'partnership.pns-contract.contractTypes.name' | translate}} <span class='label__required'>*</span>"></mb-input-text>
      </div>

      <!--Đối tượng-->
      <div nz-col nzXs="12" nzLg="12">
        <mb-select [mbDataSelects]="listEmpTypeCode"
                   formControlName="empTypeCode"
                   [mbType]="isSubmitted && form.controls['empTypeCode'].errors ? 'error' : 'default'"
                   [mbShowError]="isSubmitted && form.controls['empTypeCode'].errors !== null"
                   [mbErrors]="form.controls['empTypeCode'].errors"
                   [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'partnership.pns-contract.validate.required' | translate: {'param': 'partnership.pns-contract.contractTypes.empTypeName' | translate }}]"
                   mbPlaceholder="{{'partnership.pns-contract.contractTypes.empTypeName' | translate}}"
                   mbLabelText="{{'partnership.pns-contract.contractTypes.empTypeName' | translate}} <span class='label__required'>*</span>"
        ></mb-select>
      </div>

      <!--Phân loại HĐ-->
      <div nz-col nzXs="12" nzLg="12">
        <mb-select [mbDataSelects]="listClassify"
                   formControlName="classifyCode"
                   [mbType]="isSubmitted && form.controls['classifyCode'].errors ? 'error' : 'default'"
                   [mbShowError]="isSubmitted && form.controls['classifyCode'].errors !== null"
                   [mbErrors]="form.controls['classifyCode'].errors"
                   [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'partnership.pns-contract.validate.required' | translate: {'param': 'partnership.pns-contract.contractTypes.classifyName' | translate }}]"
                   mbPlaceholder="{{'partnership.pns-contract.contractTypes.classifyName' | translate}}"
                   mbLabelText="{{'partnership.pns-contract.contractTypes.classifyName' | translate}} <span class='label__required'>*</span>"
        ></mb-select>
      </div>

      <!--Thời hạn HĐ-->
      <div nz-col nzXs="12" nzLg="12">
        <mb-input-text
          formControlName="duration"
          appNumberInput
          mbSuffixTemplate="{{'partnership.pns-contract.contractTypes.month' | translate}}"
          [mbMaxLength]="5"
          mbPlaceholderText="{{'partnership.pns-contract.contractTypes.monthDuration' | translate}}"
          mbLabelText="{{'partnership.pns-contract.contractTypes.monthDuration' | translate}}"></mb-input-text>
      </div>

      <div nz-col nzXs="12" nzLg="12">
        <mb-select [mbDataSelects]="listType"
                   formControlName="type"
                   [mbType]="isSubmitted && form.controls['type'].errors ? 'error' : 'default'"
                   [mbShowError]="isSubmitted && form.controls['type'].errors !== null"
                   [mbErrors]="form.controls['type'].errors"
                   [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'partnership.pns-contract.validate.required' | translate: {'param': 'partnership.pns-contract.contractTypes.type' | translate }}]"
                   mbPlaceholder="{{'partnership.pns-contract.contractTypes.type' | translate}}"
                   mbLabelText="{{'partnership.pns-contract.contractTypes.type' | translate}} <span class='label__required'>*</span>"
        ></mb-select>
      </div>

      <div nz-col nzXs=24 nzLg="24">
        <mb-input-text
          formControlName="note"
          [mbIsTextAre]="true"
          [mbMaxLength]="500"
          mbPlaceholderText="{{'partnership.pns-contract.contractTypes.note' | translate}}"
          mbLabelText="{{'partnership.pns-contract.contractTypes.note' | translate}}"></mb-input-text>
      </div>

      <div nz-col nzXs="24" nzLg="24" [ngStyle]="{'text-align': 'right'}" >
          <button nz-button nzType="default" (click)="closeModalAdd()">{{'partnership.pns-contract.label.cancel' | translate}}</button>
          <mb-button mbButtonSize='SMALL' mbButtonAvailableStyle='PRIMARY'
                   (click)="save()"
                   mbButtonText="{{'partnership.pns-contract.label.save' | translate}}"></mb-button>
      </div>

    </div>
  </form>
</div>
